package com.seitenbau.testing.shared.dao;

import com.seitenbau.testing.shared.model.RecordedMethodConfiguration;

public interface IRecordConfigDao extends
    IBasicDao<RecordedMethodConfiguration>
{

  RecordedMethodConfiguration findOrCreateByID(int i);

  RecordedMethodConfiguration findOrCreateBy(String packageName,
      String className, String methodName, String returnType, String parameters);

  RecordedMethodConfiguration findBy(String packageName, String className,
      String methodName, String returnType, String parameters);
}
