package com.seitenbau.testing.shared.dao.hibernate;

import com.seitenbau.testing.shared.dao.IInvocationNewOperatorDao;
import com.seitenbau.testing.shared.model.InvocationNewOperator;
import com.seitenbau.testing.shared.model.RecordedTest;

public class InvocationNewOperatorDao extends
    HibernateDao<InvocationNewOperator> implements IInvocationNewOperatorDao
{

  protected Class<?> getClassType()
  {
    return InvocationNewOperator.class;
  }

  public InvocationNewOperator create(RecordedTest occ)
  {
    InvocationNewOperator lcno = create();
    occ.addCallToBase(lcno);
    return lcno;
  }

}
