package com.seitenbau.testing.shared.dao.hibernate;

import com.seitenbau.testing.shared.dao.IObjectSnapshotDao;
import com.seitenbau.testing.shared.model.ObjectSnapshot;
import com.seitenbau.testing.shared.model.ObjectSnapshotConverter;

public class ObjectSnapshotDao extends HibernateDao<ObjectSnapshot> implements
    IObjectSnapshotDao
{

  protected Class<?> getClassType()
  {
    return ObjectSnapshot.class;
  }

  // public ObjectSnapshot createNew(Object snapshotObject) {
  // return new ObjectSnapshot(snapshotObject);
  // }

  public ObjectSnapshot createNew(ObjectSnapshotConverter osc,
      Object snapshotObject)
  {
    return osc.makeSnapshot(snapshotObject);
  }

}
