package com.seitenbau.testing.shared.helper;

import java.io.StringReader;
import java.io.StringWriter;

import javax.xml.transform.OutputKeys;
import javax.xml.transform.Result;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.TransformerFactoryConfigurationError;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

public class XslTransformer
{

  public String transform(String xst, String xml)
  {
    StringWriter sw = new StringWriter();
    Transformer transformer;
    try
    {
//      Properties p = System.getProperties();
      // "java.specification.version"
//      String oldP = System
//          .getProperty("javax.xml.transform.TransformerFactory Source code of javax.xml.transform.TransformerFactory");
      // System.setProperty(
      // "javax.xml.transform.TransformerFactory Source code of
      // javax.xml.transform.TransformerFactory",
      // "com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl");

      StreamSource ss = new StreamSource(new StringReader(xst));

//      DocumentBuilderFactory dbFactory = DocumentBuilderFactoryImpl
//          .newInstance();

      // TransformerFactory t = new
      // com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl();
      // Object t2 = new
      // org.apache.xalan.xsltc.trax.TransformerFactoryImpl();
      // System.out.println("--" + t2);
      // Object bt = ((TransformerFactory)t2).newTransformer(ss );
      // System.out.println("NT: " + bt);
      // System.setProperty("javax.xml.transform.TransformerFactory",
      // "com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl");
      TransformerFactory ni = TransformerFactory.newInstance();
      transformer = ni.newTransformer(ss);

      Result outputTarget = new StreamResult(sw);
      Source xmlSource = new StreamSource(new StringReader(xml));
      transformer.setOutputProperty(OutputKeys.OMIT_XML_DECLARATION, "yes");
      transformer.transform(xmlSource, outputTarget);

    }
    catch (TransformerConfigurationException e)
    {
      e.printStackTrace();
    }
    catch (TransformerFactoryConfigurationError e)
    {
      e.printStackTrace();
    }
    catch (TransformerException e)
    {
      e.printStackTrace();
    }

    return sw.toString();
  }

}
