package com.seitenbau.testing.shared.model;

import java.util.HashMap;
import java.util.Map;

/**
 * Einfaches Modell mit zustzlicher Data-Hashmap
 * 
 * In die bereitgestellte Hashmap knnen zustzliche Daten abgelegt
 * werden.
 * 
 */
public class DataModel extends BasicDBModel
{

  private Map<String, ListenerData> myData = new HashMap<String, ListenerData>();

  public Map<String, ListenerData> getData()
  {
    return myData;
  }

  public void setData(Map<String, ListenerData> data)
  {
    myData = data;
  }

  // protected String getDataAsString() {
  // return new XStream().toXML(getData());
  // }
  //
  // protected void setDataAsString(String data) {
  // Object obj = new XStream().fromXML(data);
  // myData = (HashMap<String, ObjectSnapshot>) obj;
  // }
  //
  public ListenerData getData(String key)
  {
    return getData().get(key);
  }

  //
  // public void setData(String key,Object value) {
  // ObjectSnapshot os = new
  // ObjectSnapshotConverter(null).makeSnapshot( value );
  // getData().put(key, os);
  // }

  public void setData(String key, ListenerData value)
  {
    getData().put(key, value);
  }

  // public void setData(HashMap<String, ObjectSnapshot> data) {
  // myData = data;
  // }
}
