package com.seitenbau.testing.shared.model;

public class ObjectSnapshotMetaInfo
{

  private int myRefID;

  private Class<?> mySnapshotClass;

  public int getRefID()
  {
    return myRefID;
  }

  public void setRefID(int id)
  {
    myRefID = id;
  }

  public ObjectSnapshotMetaInfo(Object obj)
  {
    if (obj == null) 
    {
      return;
    }
    myRefID = System.identityHashCode(obj);
    mySnapshotClass = obj.getClass();
  }

  public Class<?> getSnapshotClass()
  {
    return mySnapshotClass;
  }

  public void setSnapshotClass(Class<?> class1)
  {
    mySnapshotClass = class1;
  }

}
