package com.seitenbau.testing.shared.rmi;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface IRecorderController extends Remote,Serializable
{
  String RMI_ID = "com.seitenbau.rmi.controller";

  public void registerRecorder( IRecorderCallback callback) throws RemoteException;

  public void logMessage(String string) throws RemoteException;

  public void unregisterRecorder(IRecorderCallback callback)  throws RemoteException;

  public String ping() throws RemoteException;

  public void sendObjectTree(ClassTreeWithChildImpl root) throws RemoteException;

//  public String getRecordedTestCaseName() throws RemoteException;
//
//  public void outOfMemory( ClassTree tree) throws RemoteException;

}
