package com.seitenbau.testing.shared.tracer;


import org.aspectj.lang.JoinPoint;

import com.seitenbau.testing.shared.config.MethodConfiguration;

/**
 * Dummy ITracer implementation which does nothing.
 */
public class NullTracer implements ITracer
{

  public void subMethodEntering(JoinPoint thisJoinPoint)
  {
  }

  public void subMethodProceeded(JoinPoint thisJoinPoint, Object theReturnValue)
  {
  }

  public void subNewOperatorEntering(JoinPoint thisJoinPoint)
  {
  }

  public void subNewOperatorProceeded(JoinPoint thisJoinPoint,
      Object theReturnValue)
  {
  }

  public void targetMethodEntering(JoinPoint thisJoinPoint)
  {
  }

  public void targetMethodProceeded(JoinPoint thisJoinPoint,
      Object theReturnValue)
  {
  }

  public void setConfigurationMethod(MethodConfiguration mcfg)
  {
  }

  public void subMethodThrowedException(JoinPoint thisJoinPoint, Throwable t)
  {
  }

  public void targetMethodThrowedException(JoinPoint thisJoinPoint, Throwable t)
  {
  }

  public void subNewOperatorThrowedException(JoinPoint thisJoinPoint,
      Throwable t)
  {
  }
}
