package com.seitenbau.testing.shared.writer;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.seitenbau.testing.shared.helper.Generics;


public class ImportCollector
{
  private Map<String, Boolean> myImportMap = new HashMap<String, Boolean>();

  public void addImport(String importFQN)
  {
    myImportMap.put(importFQN, true);
  }

  public void addImports(List<String> importList)
  {
    if (importList == null)
    {
      return;
    }
    for (String oneline : importList)
    {
      addImport(oneline);
    }
  }

  public List<String> getImportList()
  {
    List<String> liste = new ArrayList<String>();

    for (String oneLine : Generics.interatorMapKeys(myImportMap))
    {
      liste.add(oneLine);
    }
    return liste;
  }
}
