package com.seitenbau.testing.shared.writer;

public class LoggerWriter implements IWriter
{

  StringBuffer myBuffer = new StringBuffer();

  public void append(StringBuffer buffer)
  {
    myBuffer.append(buffer);
  }

  public void append(String... buffer)
  {
    if (buffer == null)
    {
      return;
    }
    for (String part : buffer)
    {
      myBuffer.append(part);
    }
  }

  public void appendNewLine(String... content)
  {
    append(content);
    appendNewLine();
  }

  public synchronized void appendNewLine()
  {
    doPrintout(myBuffer.toString());
    doPrintNL();
    myBuffer = new StringBuffer();
  }

  protected void doPrintNL()
  {
  }

  protected void doPrintout(String string)
  {
    System.out.println(myBuffer.toString());
  }

}
