package com.seitenbau.testing.testgenerator.datadriven;

import java.util.List;

import com.seitenbau.testing.shared.locator.ITestPathFileBasedLocator;
import com.seitenbau.testing.shared.model.RecordedMethodConfiguration;
import com.seitenbau.testing.testgenerator.partgenerator.IJUnitPartGenerator;


public class DataDrivenXmlController extends GeneratorDataDrivenController
{

  private RecordedMethodConfiguration myCurrentRecordedMethod;

  public DataDrivenXmlController(List<RecordedMethodConfiguration> config,
      ITestPathFileBasedLocator pathLocator, List<IJUnitPartGenerator> partGenerators,
      RecordedMethodConfiguration current)
  {
    super(config, pathLocator, partGenerators);
    myCurrentRecordedMethod = current;
  }

  public RecordedMethodConfiguration getCurrentRecordedMethod()
  {
    return myCurrentRecordedMethod;
  }

  public void setCurrentRecordedMethod(
      RecordedMethodConfiguration currentRecordedMethod)
  {
    myCurrentRecordedMethod = currentRecordedMethod;
  }

}
