package com.seitenbau.testing.instrumentation.generator;

import com.seitenbau.testing.shared.config.RecorderConfiguration;
import com.seitenbau.testing.shared.locator.IRecorderPathLocator;
import com.seitenbau.testing.shared.templateengine.ITemplateFileParams;
import com.seitenbau.testing.shared.templateengine.TemplateFileParams;

public class RecorderParams extends TemplateFileParams implements
    ITemplateFileParams
{

  private static final long serialVersionUID = 1L;

  private RecorderConfiguration myConfig;

//  private String mySourceRoot;

  private IRecorderPathLocator myLocator;

  public RecorderParams(RecorderConfiguration cfg, IRecorderPathLocator locator)
  {
    super();
    myConfig = cfg;
    myLocator = locator;
  }

  public RecorderConfiguration getConfig()
  {
    return myConfig;
  }

  public void setConfig(RecorderConfiguration config)
  {
    myConfig = config;
  }

  public String getSourceRoot()
  {
    return myLocator.getSourceRoot();
  }



}
