package com.seitenbau.testing.shared.dao;

import java.util.List;

public interface IBasicDao<GEN_TYPE>
{

  public GEN_TYPE create();

  public void save(GEN_TYPE objToSave);

  public GEN_TYPE findByID(int id);

  public List<GEN_TYPE> loadCompleteList();

  public void deleteList(List<GEN_TYPE> list);

  public void deleteAll();

  public void delete(GEN_TYPE item);
}
