package com.seitenbau.testing.shared.dao;

import com.seitenbau.testing.shared.config.RepositoryConfig;

public interface IDaoFactory
{
  public abstract void setConfiguration(RepositoryConfig dbcfg);

  public abstract IRecordedTestDao getRecordedTestDao();

  public abstract IObjectSnapshotDao getObjectSnapshotDao();

  public abstract IInvocationBaseDao getCallToBaseDao();

  public abstract IInvocationMethodDao getCallToMethodDao();

  public abstract IRecordedTestCaseDao getRecordedTestCaseDao();

  public abstract IRecordConfigDao getRecordConfigDao();

  public abstract IInvocationNewOperatorDao getCallToBaseNewOperationDao();

  public abstract void detach();

}
