package com.seitenbau.testing.shared.dao.hibernate;

import com.seitenbau.testing.shared.dao.IInvocationMethodDao;
import com.seitenbau.testing.shared.model.InvocationMethod;
import com.seitenbau.testing.shared.model.RecordedTest;

public class InvocationMethodDao extends HibernateDao<InvocationMethod>
    implements IInvocationMethodDao
{

  @Override
  protected Class<?> getClassType()
  {
    return InvocationMethod.class;
  }

  public InvocationMethod createNew(RecordedTest occation)
  {
    InvocationMethod lcm = create();
    if (occation != null)
    {
      occation.addCallToBase(lcm);
    }
    return lcm;
  }

}
