package com.seitenbau.testing.shared.helper;

/**
 * Hilfklasse zum erzeugen von FQN's.
 */
public class TypeWrapper
{

  public static String wrap(String toWrap)
  {
    if (toWrap == null)
    {
      return "";
    }
    else
    {
      return getTypePrimitive(toWrap);
    }
  }

  public static boolean isPrimitiveType(String type)
  {
    String wrap = getTypePrimitive(type);
    if (wrap.equals(type))
    {
      return false;
    }
    return true;
  }

  private static String getTypePrimitive(String toWrap)
  {
    if (toWrap.equals("int"))
    {
      return "java.lang.Integer";
    }
    if (toWrap.equals("double"))
    {
      return "java.lang.Double";
    }
    if (toWrap.equals("byte"))
    {
      return "java.lang.Byte";
    }
    if (toWrap.equals("short"))
    {
      return "java.lang.Short";
    }
    if (toWrap.equals("long"))
    {
      return "java.lang.Long";
    }
    if (toWrap.equals("float"))
    {
      return "java.lang.Float";
    }
    if (toWrap.equals("boolean"))
    {
      return "java.lang.Boolean";
    }
    if (toWrap.equals("char"))
    {
      return "java.lang.Char";
    }
    return toWrap;
  }

}
