package com.seitenbau.testing.shared.rmi;

import java.util.ArrayList;
import java.util.List;

public class ClassTreeWithChildImpl extends ClassTreeImpl implements
		ClassTreeWithChild {

	private static final long serialVersionUID = 1872914326236678828L;
	private List<ClassTree> myChilds = null;

	public List<ClassTree> getChilds() {
		if (myChilds == null) {
			myChilds = new ArrayList<ClassTree>();
		}
		return myChilds;
	}

	public void setChilds(List<ClassTree> childs) {
		myChilds = childs;
	}

	public void addChild(ClassTree child) {
		if (child == null) {
			return;
		}
		getChilds().add(child);
	}

}
