package com.seitenbau.testing.shared.tracer;

import com.seitenbau.testing.shared.model.RecordedTest;

/**
 * Hilfs Interface fr JUnit Tests bei denen ein Tracer mitluft.
 * 
 * Der JUnit Test implementiert diese Interface nicht direkt in Source
 * Code, sondern die Implementierung wir ber AspectJ in den Test
 * eingebaut.
 */
public interface IUnderTrace
{

  /**
   * Liefert den aktuell aufgezeichneten Tracer zurck
   * 
   * @return Liefert den aktuell aufgezeichneten Tracer zurck
   */
  public RecordedTest getCurrentRecordedTest();
}
