package com.seitenbau.testing.shared.tracer.flow;

import com.seitenbau.testing.shared.config.TestConfiguration;
import com.seitenbau.testing.shared.config.TracerConfiguration;
import com.seitenbau.testing.shared.model.RecordedTest;
import com.seitenbau.testing.shared.tracer.ITracerListener;

public interface IListenerFlowControl
{
  public void setup(RecordedTest oldTest);

  // TODO: does this make sense here?
  public ITracerListener registerTracerListener(RecordedTest oldTest);

  public void initListener(TestConfiguration config,
      TracerConfiguration tracerConfig);

  public void invoke(RecordedTest oldTest);

  public void validate(RecordedTest oldTest);

  public void tearDown(RecordedTest oldTest);
}
