package com.seitenbau.testing.templates;

import com.seitenbau.testing.shared.templateengine.ITemplateParams;
import com.seitenbau.testing.shared.templateengine.IGenerator;

public class JUnit4_JavaGenerator implements IGenerator
{
  protected static String nl;
  public static synchronized JUnit4_JavaGenerator create(String lineSeparator)
  {
    nl = lineSeparator;
    JUnit4_JavaGenerator result = new JUnit4_JavaGenerator();
    nl = null;
    return result;
  }

  public final String NL = nl == null ? (System.getProperties().getProperty("line.separator")) : nl;
  protected final String TEXT_1 = "package ";
  protected final String TEXT_2 = ";";
  protected final String TEXT_3 = NL + NL + "import java.util.Collection;" + NL + "" + NL + "import com.seitenbau.testing.shared.tracer.flow.IFlowControl;" + NL + "import com.seitenbau.testing.shared.config.TestConfiguration;" + NL + "import com.seitenbau.testing.shared.junit.TestConfigurationFactory;" + NL + "import com.seitenbau.testing.shared.junit.ParameterizedDataRunner;" + NL + "import com.seitenbau.testing.shared.junit.TestControl;" + NL + "" + NL + "" + NL + "import org.junit.Before;" + NL + "import org.junit.After;" + NL + "import org.junit.Test;" + NL + "import org.junit.runner.RunWith;" + NL + "import org.junit.runners.Parameterized;" + NL + "import org.junit.runners.Parameterized.Parameters;" + NL + "" + NL + "import static org.junit.Assert.*;" + NL;
  protected final String TEXT_4 = NL;
  protected final String TEXT_5 = NL + NL + "@RunWith(ParameterizedDataRunner.class)" + NL + "public class ";
  protected final String TEXT_6 = "AtrTest {" + NL + "" + NL + "\tprotected static TestControl myTestControl;" + NL + "    private ";
  protected final String TEXT_7 = " myExpectedReturnValue;" + NL + "    private ";
  protected final String TEXT_8 = " myActualReturnValue;" + NL + "    private Throwable myActualThrowedValue;" + NL + "    private ";
  protected final String TEXT_9 = ".";
  protected final String TEXT_10 = " myFixure=null;" + NL + "" + NL + "\t";
  protected final String TEXT_11 = NL + "\tprivate ";
  protected final String TEXT_12 = " ";
  protected final String TEXT_13 = ";";
  protected final String TEXT_14 = NL;
  protected final String TEXT_15 = NL + NL + "\tpublic ";
  protected final String TEXT_16 = "AtrTest(";
  protected final String TEXT_17 = "TestControl testControl,";
  protected final String TEXT_18 = " returnValue";
  protected final String TEXT_19 = ", ";
  protected final String TEXT_20 = ") {" + NL + "\t\tmyTestControl = testControl;" + NL + "\t\tmyExpectedReturnValue = returnValue;" + NL;
  protected final String TEXT_21 = "\t\tmy";
  protected final String TEXT_22 = " = ";
  protected final String TEXT_23 = ";";
  protected final String TEXT_24 = NL + "\t}" + NL + "" + NL + "\t@Parameters" + NL + "\tpublic static Collection<?> getTestData() {" + NL + "\t\tTestConfiguration config=TestConfiguration.readFromStream(";
  protected final String TEXT_25 = "AtrTest.class,\"";
  protected final String TEXT_26 = "AtrTest.TRdata\");" + NL + "\t\treturn TestControl.buildParameterizedArray(config);" + NL + "\t}" + NL + "" + NL + "\tprotected ";
  protected final String TEXT_27 = " execute() {" + NL + "\t\treturn execute( ";
  protected final String TEXT_28 = " );" + NL + "\t}" + NL + "" + NL + "\tprotected ";
  protected final String TEXT_29 = " execute(";
  protected final String TEXT_30 = ") {" + NL + "\t\treturn myTestControl.execute(myFixure";
  protected final String TEXT_31 = ", ";
  protected final String TEXT_32 = ");" + NL + "\t}" + NL + "" + NL + "\t@Before" + NL + "\tpublic void defaultBefore() {" + NL + "\t\tmyActualThrowedValue=null;" + NL + "\t}";
  protected final String TEXT_33 = NL;
  protected final String TEXT_34 = NL + "\t@Test" + NL + "\tpublic void theTestMethod() {";
  protected final String TEXT_35 = NL;
  protected final String TEXT_36 = NL + "\t\ttry {" + NL + "\t\t\tmyActualReturnValue = execute();" + NL + "\t\t} catch( Throwable throwed ) {" + NL + "\t\t    myActualThrowedValue = throwed;" + NL + "\t\t}";
  protected final String TEXT_37 = NL;
  protected final String TEXT_38 = NL + "\t}";
  protected final String TEXT_39 = NL;
  protected final String TEXT_40 = NL;
  protected final String TEXT_41 = NL + "}" + NL;

	/* (non-javadoc)
    * @see IGenerator#generate(Object)
    */
	@SuppressWarnings("unchecked")
	public String generate(ITemplateParams argument)
  {
    final StringBuffer stringBuffer = new StringBuffer();
     /*
	JUnitParams params=(JUnitParams)argument;
	String javaPackage=params.getAsString("java.packageName");

    
		RecordedMethodConfiguration methodConfig=params.getMethodConfiguration();
		List<RecordedTest> tests=params.getTests();
		String paramSignature= methodConfig.getParameters();
		ParameterBuilder pb=new ParameterBuilder(paramSignature);
		boolean hasParameters=false;
		if( paramSignature!=null && paramSignature.length()>0 ) {
			hasParameters=true;
		}

    
	if( javaPackage.length() > 0 ) {

    stringBuffer.append(TEXT_1);
    stringBuffer.append(javaPackage);
    stringBuffer.append(TEXT_2);
     } 
    stringBuffer.append(TEXT_3);
    stringBuffer.append(TEXT_4);
    stringBuffer.append(params.include("imports",""));
    stringBuffer.append(TEXT_5);
    stringBuffer.append(params.getAsString("java.className"));
    stringBuffer.append(params.getAsString("db.RecordedTestCase.id"));
    stringBuffer.append(TEXT_6);
    stringBuffer.append(methodConfig.getReturnType());
    stringBuffer.append(TEXT_7);
    stringBuffer.append(methodConfig.getReturnType());
    stringBuffer.append(TEXT_8);
    if( javaPackage.length() > 0 ) {
    stringBuffer.append(javaPackage);
    stringBuffer.append(TEXT_9);
    }
    stringBuffer.append(params.getAsString("java.className"));
    stringBuffer.append(TEXT_10);
    
		for(pb.reset();pb.next();) {

    stringBuffer.append(TEXT_11);
    stringBuffer.append(pb.getType());
    stringBuffer.append(TEXT_12);
    stringBuffer.append(pb.getCount("myParam"));
    stringBuffer.append(TEXT_13);
    
		}
	
    stringBuffer.append(TEXT_14);
    stringBuffer.append(params.include("variables",""));
    stringBuffer.append(TEXT_15);
    stringBuffer.append(params.getAsString("java.className"));
    stringBuffer.append(params.getAsString("db.RecordedTestCase.id"));
    stringBuffer.append(TEXT_16);
    
							
    stringBuffer.append(TEXT_17);
    
							
    stringBuffer.append(methodConfig.getReturnType());
    stringBuffer.append(TEXT_18);
    
							if( hasParameters ) { 
    stringBuffer.append(TEXT_19);
     }
							
    stringBuffer.append(pb.buildSignature());
    
	
    stringBuffer.append(TEXT_20);
    
		for(pb.reset();pb.next();) {

    stringBuffer.append(TEXT_21);
    stringBuffer.append(pb.getCount("Param"));
    stringBuffer.append(TEXT_22);
    stringBuffer.append(pb.getCount("param"));
    stringBuffer.append(TEXT_23);
    
		}
	
    stringBuffer.append(TEXT_24);
    stringBuffer.append(params.getAsString("java.className"));
    stringBuffer.append(TEXT_25);
    stringBuffer.append(params.getAsString("java.className"));
    stringBuffer.append(TEXT_26);
    stringBuffer.append(methodConfig.getReturnType());
    stringBuffer.append(TEXT_27);
    stringBuffer.append(pb.buildTypelessSignature("my"));
    stringBuffer.append(TEXT_28);
    stringBuffer.append(methodConfig.getReturnType());
    stringBuffer.append(TEXT_29);
    stringBuffer.append(pb.buildSignature());
    stringBuffer.append(TEXT_30);
    if( hasParameters){
    stringBuffer.append(TEXT_31);
    stringBuffer.append(pb.buildTypelessSignature());
     }
    stringBuffer.append(TEXT_32);
    stringBuffer.append(TEXT_33);
    stringBuffer.append(params.include("before",""));
    stringBuffer.append(TEXT_34);
    stringBuffer.append(TEXT_35);
    stringBuffer.append(params.include("beforeMethod",""));
    stringBuffer.append(TEXT_36);
    stringBuffer.append(TEXT_37);
    stringBuffer.append(params.include("afterMethod",""));
    stringBuffer.append(TEXT_38);
    stringBuffer.append(TEXT_39);
    stringBuffer.append(params.include("after",""));
    stringBuffer.append(TEXT_40);
    stringBuffer.append(params.include("other",""));
    stringBuffer.append(TEXT_41);
     */ 
    return stringBuffer.toString();
  }
}