package com.seitenbau.testing.testgenerator.partgenerator;

import java.util.List;

import com.seitenbau.testing.shared.config.TestConfiguration;
import com.seitenbau.testing.shared.writer.IPartWriter;
import com.seitenbau.testing.shared.writer.SimplePartWriter;


/**
 * A JUnit Part Generator ist used to generate Parts inside a concrete
 * Generator
 * 
 * 
 */
public interface IJUnitPartGenerator
{

  List<String> getImports();

  void templateAnnotationClass(IPartWriter writer, TestConfiguration config);

  void templateAnnotationFixture(IPartWriter writer, TestConfiguration config);

  void templateVariableContent(IPartWriter writer, TestConfiguration config);

  void templateBeforeContent(IPartWriter writer, TestConfiguration config);

  void templateBeforeTestInvocationContent(IPartWriter writer,
      TestConfiguration config);

  void templateAfterTestInvocationContent(IPartWriter writer,
      TestConfiguration config);

  void templateAfterContent(IPartWriter writer, TestConfiguration config);

  void templateOtherContent(IPartWriter writer, TestConfiguration config);

  void templateAnnotationTest(SimplePartWriter writer, TestConfiguration object);

}
